#
# spec file for package 
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define _name dzen

Name:           dzen2
Version: 1332069163
Release: lp151.3.3
License:        MIT
Summary:        A general purpose messaging and notification program 
Url:            http://sites.google.com/site/gotmor/dzen
Group:          System/GUI/Other
Source0:        %{_name}-%{version}.tar.bz2

### Manpages extracted from debian package and included here
### URL: http://ftp.us.debian.org/debian/pool/main/d/dzen2/dzen2_0.8.5-4_armel.deb
### *.deb Exctract: ar -x dzen2_0.8.5-4_armel.deb
Source1:        %{name}_man.tar.bz2
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xft)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Dezen is a general purpose messaging, notification and menuing program for X11. It was designed to be scriptable in any language and integrate well with window managers like dwm, wmii and xmonad though it will work with any windowmanger.
%prep
%setup -q -n %{_name}-%{version}

%build
sed -i '/^CFLAGS/ s/$/ %optflags/' config.mk
sed -i 's@strip@true@g' Makefile
make %{?_smp_mflags}

%install
%make_install DESTDIR=%{buildroot} PREFIX=%{_prefix}
mkdir -p %{buildroot}%{_mandir}/man1
%{__tar} -jxf %{SOURCE1} -C %{buildroot}%{_mandir}/man1

#%%post

#%%postun

%files
%defattr(-,root,root)
%doc CREDITS README LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*gz

%changelog
* Tue Mar 13 2018 crrodriguez@opensuse.org
- Replace xorg-x11* buildrequires with pkgconfig(x11),
  pkgconfig(xft)
- Respect optflags and do not strip the resulting binaries.
* Tue May 15 2012 seiler@b1-systems.de
- changed mode to local to da recompress service run local only
* Mon Apr 23 2012 seiler@b1-systems.de
- added dependency xorg-x11-devel to prevent this missing header error
  In file included from draw.c:8:0:
  dzen.h:14:25: fatal error: X11/Xft/Xft.h: No such file or directory
  compilation terminated.
- migrated to git service checkout
* Tue Apr 17 2012 seiler@b1-systems.de
- added manpages from extraced debian package
  http://ftp.us.debian.org/debian/pool/main/d/dzen2/dzen2_0.8.5-4_armel.deb
* Tue Apr  3 2012 seiler@b1-systems.de
- initial package
